package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum RebateCalcMethodEnum {
	/**
	 * 返点计算方式：1_按净重计算；2_固定金额；3_不固定
	 */
	NET_WEIGHT(1, "按净重计算"),
	FIXED_AMOUNT(2, "固定金额"),
	NOT_FIXED(3, "不固定");

	@EnumValue
	private final int type;

	private final String message;
}